searchNodes=[{"doc":"Xray offers utility functions for inspecting string binaries, their code points, and their base2 representations. This package was the result of my own studying of Elixir strings and binaries. It&#39;s unlikely you would actually use this as a dependency, but I offer it up for public use in the hopes that it may be educational.","ref":"Xray.html","title":"Xray","type":"module"},{"doc":"Reveals the integer codepoint for the given single character; when run with the default options, this is equivalent to the question-mark operator, e.g. ?x but this function works with variables (whereas the question mark only evaluates literal characters). Options: :as_hex (boolean) default: false When true, returns the hexidecimal representation of the codepoint number. The hexidecimal representation is useful when looking up documentation, e.g. on Wikipedia or on websites like codepoints.net. Examples iex&gt; codepoint(&quot;ä&quot;) 228 iex&gt; codepoint(&quot;ä&quot;, as_hex: true) &quot;00E4&quot;","ref":"Xray.html#codepoint/2","title":"Xray.codepoint/2","type":"function"},{"doc":"Given a string binary, this returns a list of the codepoints that represent each of the characters in the string. This is what you might expect String.codepoints/1 to return, but instead of returning a list of the component characters like String.codepoints/1 does, this function returns the numbers (which is what code points are). Options :as_hex (see codepoint/2) Examples iex&gt; Xray.codepoints(&quot;cät&quot;) [99, 228, 116]","ref":"Xray.html#codepoints/2","title":"Xray.codepoints/2","type":"function"},{"doc":"This function prints a report on the provided input string. This may not work especially well when the input contains non-printable characters (YMMV). For each character in the string, the following information is shown: code point as a decimal, e.g. 228 code point in its Elixir Unicode representation, e.g. \\u00E4 a link to a page containing more information about this Unicode code point count of the number of bytes required to represent this code point using UTF-8 encoding an inspection of the UTF-8 binaries, e.g. &lt;&lt;195, 164&gt;&gt; a Base2 representation (i.e. 1&#39;s and 0&#39;s) of the encoded code point The Base2 representation (what we would be tempted to call the &quot;binary&quot; representation) highlights control bits in red to help show how UTF-8 identifies how many bytes are required to encode each character. Examples iex&gt; Xray.inspect(&quot;cät&quot;) ====================================================== Input String: cät Character Count: 3 Byte Count: 4 ====================================================== c Codepoint: 99 (\\u0063) https://codepoints.net/U+0063 Script(s): latin Byte Count: 1 UTF-8: &lt;&lt;99&gt;&gt; Base2: 01100011 ä Codepoint: 228 (\\u00E4) https://codepoints.net/U+00E4 Script(s): latin Byte Count: 2 UTF-8: &lt;&lt;195, 164&gt;&gt; Base2: 11000011 10100100 t Codepoint: 116 (\\u0074) https://codepoints.net/U+0074 Script(s): latin Byte Count: 1 UTF-8: &lt;&lt;116&gt;&gt; Base2: 01110100","ref":"Xray.html#inspect/1","title":"Xray.inspect/1","type":"function"}]